/****************************************************************************/
/*                                                                          */
/* Headerfile fuer die Run-Programme fuer die DP-Box                        */
/*                                                                          */
/*--------------------------------------------------------------------------*/
/*                                                                          */
/* Projekt                   : Runprogramme                                 */
/* Datei                     : runprog.h                                    */
/* Autor                     : Dirk Rapp, DL2GRD                            */
/* Erstelldatum              : 16.07.96                                     */
/* Akt. Version              : 1.00a                                         */
/* Datum letze Aenderung     : 14.09.96                                     */
/*                                                                          */
/*--------------------------------------------------------------------------*/
/*                                                                          */
/* Aenderungen:                                                             */
/*    D.R. 23.07.96 : Um Struct mybbstyp erweitert.                         */
/*    D.R. 24.07.96 : Um MAX_VERZ_LAENGE erweitert.                         */
/*                                                                          */
/*                                                                          */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Verwendung der einzelnen Structs                                         */
/*    - UserDaten : Dieser Struct entspricht den Daten die in der Datei     */
/*                  box/run/rundat.box gespeichert sind. Die daten sind     */
/*                  dort allerdings am ASCII abgelegt.                      */
/*    - mybbstpy  : Die Datei box/stat/mybbs.box ist mit diesem Struct auf- */
/*                  gebaut. Die Datei enthaelt alle MYBBS-Eintraege, auch   */
/*                  die anderer Boxen.                                      */
/*                                                                          */
/*                                                                          */
/****************************************************************************/



#ifndef _RUNPROG_H
#define _RUNPROG_H 1

#define DOS 0

#include <stdio.h>
#include <string.h>

#define F_OPEN_ERROR -1
#define F_READ_ERROR -2

#define MAX_VERZ_LAENGE 80 // maximale laenge fuer die Uebergabedateien

typedef struct UserDaten
{
   char call[10];
   char mybbs[10];
   char name[30];
   char sprache[6];
   char rubrik[12];
   char letztes_login_ascii[21];
   long letztes_login_unix;
   int senden_loeschen_ok;
   int hidden;
   int mit_passwort;
   int rubriken_sysop;
   int sysop;
   int level;
   char box_call[10];
   char text_ausgabe_filename[MAX_VERZ_LAENGE +2];
   char binaer_ausgabe_filename[MAX_VERZ_LAENGE +2];
   char autobinaer_ausgabe_filename[MAX_VERZ_LAENGE +2];
} UserDaten;

typedef struct mybbstyp
{
   char call[7];
   char bbs[7];
   long updatetime;
} mybbstyp;


#endif // _RUNPROG_H
